Package org.apache.lucene.analysis.ko.dict

## Class TokenInfoFST

- java.lang.Object
- - org.apache.lucene.analysis.ko.dict.TokenInfoFST

-     public final class TokenInfoFST
      extends Object

  Thin wrapper around an FST with root-arc caching for Hangul syllables (11,172 arcs).

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Long` | `NO_OUTPUT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TokenInfoFST​(FST<Long> fst)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FST.Arc<Long>` | `findTargetArc​(int ch, FST.Arc<Long> follow, FST.Arc<Long> arc, boolean useCache, FST.BytesReader fstReader)` |
    `FST.BytesReader` | `getBytesReader()` |
    `FST.Arc<Long>` | `getFirstArc​(FST.Arc<Long> arc)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_OUTPUT

          public final Long NO_OUTPUT

  - ### Constructor Detail

    - #### TokenInfoFST

          public TokenInfoFST​(FST<Long> fst)
                       throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### findTargetArc

          public FST.Arc<Long> findTargetArc​(int ch,
                                             FST.Arc<Long> follow,
                                             FST.Arc<Long> arc,
                                             boolean useCache,
                                             FST.BytesReader fstReader)
                                      throws IOException

      Throws:
        `IOException`

    - #### getFirstArc

          public FST.Arc<Long> getFirstArc​(FST.Arc<Long> arc)

    - #### getBytesReader

          public FST.BytesReader getBytesReader()